# known at buildtime
set(JDns_VERSION "2.0.0")
set(JDns_VERSION_MAJOR 2)
set(JDns_VERSION_MINOR 0)
set(JDns_VERSION_PATCH 0)

get_filename_component(currentDir ${CMAKE_CURRENT_LIST_FILE} PATH) # get the directory where I myself am
get_filename_component(rootDir ${currentDir}/../../../ ABSOLUTE) # get the chosen install prefix

# install locations
set(JDns_INCLUDE_DIR "${rootDir}/include/jdns")
set(JDns_LIBRARY_DIR "${rootDir}/lib64")
set(JDns_LIB_SONAME jdns)

if(NOT TARGET jdns)
  include(${currentDir}/JDnsTargets.cmake)
endif()

set(JDns_LIBRARY jdns)
